Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiPromptFilterResult

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiPromptFilterResult

@Deprecated public class OpenAiPromptFilterResult extends Object
Deprecated.
Content filtering results for a single prompt in the request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiPromptFilterResult()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `OpenAiContentFilterPromptResults`
  `getContentFilterResults()`
  Deprecated.
  Information about the content filtering category, if it has been detected, as well as the severity level and if it has been filtered or not.
  `Integer`
  `getPromptIndex()`
  Deprecated.
  Index of the prompt in the request.
  `int`
  `hashCode()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiPromptFilterResult

    public OpenAiPromptFilterResult()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### getPromptIndex

    @Nullable public Integer getPromptIndex()
    Deprecated.
    Index of the prompt in the request.

  - ### getContentFilterResults

    @Nullable public OpenAiContentFilterPromptResults getContentFilterResults()
    Deprecated.
    Information about the content filtering category, if it has been detected, as well as the severity level and if it has been filtered or not.